CoCoALib - Support #1056

Release: CoCoALib-0.99560 (together with CoCoA-5.2.2)
28 Apr 2017 17:02 - Anna Maria Bigatti

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Anna Maria Bigatti % Done:
Category: Various Estimated time:

Target version: CoCoALib-0.99560 Spent time:

08 Apr 2014

100%
5.00 hours
4.45 hours

Description
Everything related to making a CoCoALib release:

. Redmine Roadmap: close or postpone issue

. Redmine Release issues: check percentages, check timings
. Finalize

. make veryclean; make (full make, with all tests and examples and CoCoA-5..)
. tests: make valgrind

. CoCoA-5: make ManExamples

. create snapshot

. upload examples

. upload manual

10. update webpage

11. publish manual (arXiv? ResearchGate?)

12. close release on Redmine
--> send message to facebook page

Related issues:

Related to CoCoALib - Support #624: Wikipedia

Related to CoCoALib - Support #1058: CoCoALib version in Documentation and Ex...
Related to CoCoA-5 - Support #1061: Release: CoCoA-5.2.2

Related to CoCoALib - Support #1149: Release: CoCoALib-0.99600 (together wit...
Copied from CoCoALib - Support #944: Release: CoCoALib-0.99550 (together with...

New

Closed
Closed
Closed
Closed

12 Sep 2014
04 May 2017
01 Aug 2014
17 Jan 2018
08 Apr 2014

06 Aug 2018

History

#1 - 28 Apr 2017 17:02 - Anna Maria Bigatti
- Copied from Support #944: Release: CoCoALib-0.99550 (together with CoCoA-5.2.0) added

#2 - 08 May 2017 11:54 - Anna Maria Bigatti
- Estimated time changed from 4.00 h to 5.00 h

#3 - 19 Jul 2017 19:05 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

RELEASE NOTES FOR CoCoALIB 0.99560 (or an interim version)

MinPolyQuot (modular) now has no limit on number of primes

added new "timeout" capability -- see CpuTimeLimit

redesigned interrupt mechanism (now "more polite", and works with "timeout" impl)
added new fns IsInRadical and MinPowerinldeal

added new fn CutLF (for iterating over the homog parts of a polynomial)

assignment of ideals may now change ring (se #1065)

added SmallestNonDivisor (see #979)

improved Makefiles: rebuilding of Makefile_dependencies is more robust when interrupted
renamed ERR::SERIOUS to ERR::ShouldNeverReachHere (see #1097)

added IsCoprime

01 May 2024

ExternalLibs-MathSAT.[CH] -- interface class for msat_env and function msat_solve (see #1091)
https://cocoa.dima.unige.it/redmine/issues/1091
https://cocoa.dima.unige.it/redmine/issues/1065
https://cocoa.dima.unige.it/redmine/issues/979
https://cocoa.dima.unige.it/redmine/issues/1097

added RootBound and graeffe

added ChebyshevPoly, HermitePoly and LaguerrePoly (families of orthogonal polynomials)
added HilbertMat (create matrix over QQ with (i,j) entry being 1/(i+j-1))

added RandomSparseNonSing01Mat (create a random sparse non-singular (0,1) matrix)
revised InvMod so that caller can choose between exception or 0 result if inverse does not exist

PS keeping adding new things as we do them!!

#4 - 19 Jul 2017 19:27 - John Abbott

| would like to make a "release" for ISSAC/SC2 School. That is very soon, and there is probably not enough time to make a proper "stable release:,
but we could make an interim release. Currently CoCoALib is at 0.99554.

What do you think?

#5 - 06 Nov 2017 13:40 - John Abbott
- Related to Support #624: Wikipedia added

#6 - 06 Nov 2017 15:08 - John Abbott
- Related to Support #1058: CoCoALib version in Documentation and Examples added

#7 - 08 Nov 2017 18:32 - John Abbott
- % Done changed from 10 to 30

#8 - 16 Jan 2018 11:39 - Anna Maria Bigatti
- Related to Support #1061: Release: CoCoA-5.2.2 added

#9 - 16 Jan 2018 16:13 - Anna Maria Bigatti

uploaded manuals to research gate

#10 - 17 Jan 2018 12:07 - Anna Maria Bigatti
- Related to Support #1149: Release: CoCoALib-0.99600 (together with CoCoA-5.2.4) added

#11 - 17 Jan 2018 12:09 - Anna Maria Bigatti
- Category changed from Tidying to Various
- Status changed from In Progress to Closed

- % Done changed from 30 to 100
